<?php
require_once 'conf/link.php';
require_once '_update_files.php';
require_once '_gen_xml.php';
if((isset($_POST['nombrelista'])) && (isset($_POST['listOfItems'])))
{
	$lst_assoc = $_POST['nombrelista'];
	$videos_id = $_POST['listOfItems'];
	$usuario = (isset($_POST['user'])) ? $_POST['user'] : 'admin';


	$playlist_id = explode('|', $videos_id);
	//echo $videos_id;
	//print_r($playlist_id);

	foreach($playlist_id as $index=>$id)	{
		$sql = 'SELECT * FROM almacen WHERE id = "'.$id.'"';
		$result = mysqli_query($conexion, $sql);
		while($row = mysqli_fetch_assoc($result))	{	
			$media[] = array('id' => $row['id'], 'filename' => $row['filename'], 'thumbnail' => $row['thumbnail']);
		}
	}
	//print_r($media);
	//echo "<br>".$media[2]['filename'];
	$media_json = json_encode($media);
		
	$sql_update  = "UPDATE listas SET videos_id='".$media_json."', ultimo_usuario='".$usuario."' WHERE nombre_lista = '".$lst_assoc."'";
	if($result_update = mysqli_query($conexion, $sql_update))
	{
		echo "Exito Update";
		update_files($lst_assoc, $conexion);
	}
	else
	{
		echo $sql_update;
		echo "<br>Error Update Lista vacia";
	}
}
else
{
	$server_ip = $_SERVER['SERVER_ADDR'];
	echo $server_ip;
	header("Location: http://".$server_ip."");
	die();
}
?>